'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

Object.defineProperty(exports, "__esModule", {
    value: true
});
var defaultOptions = {
    ast: false
};

exports.default = function (userOptions) {
    return function (input) {
        return function babel(log) {
            var pify = require('pify');
            var transformFile = pify(require('babel-core').transformFile);

            return Promise.all(input.map(function (file) {
                var options = _extends({}, defaultOptions, userOptions);

                return transformFile(file, options).then(function (result) {
                    log(file);

                    return {
                        path: file,
                        data: result.code
                    };
                });
            }));
        };
    };
};

module.exports = exports['default'];